# Get Suggestion

#### **Knowledge Base Get Suggestion API**

Knowledge Base Get Suggestion API in you can show data records searching by user question related article.

| Parameter          | Type                                                |
| ------------------ | --------------------------------------------------- |
| **`Path`**         | <https://app.acquire.io/chatbot/api/get-suggestion> |
| **`Method`**       | POST                                                |
| **`Content-type`** | application/x-www-form-urlencoded                   |

#### &#x20;**Body(urlencoded)**

| Parameter        | Type                             |
| ---------------- | -------------------------------- |
| **`account_id`** | \[YOUR\_ACCOUNT\_ID]             |
| **`search_txt`** | how operating hours can be setup |
| **`rec_no`**     | 2                                |

#### &#x20;**Response JSON Format**

```javascript
{
    "success": true,
    "error": null,
    "data": [
        {
            "article_id": [ARTICLE_ID],
            "question": "Voip (how to buy number, top up, setup, charges)",
            "slug": "voip-how-to-buy-number-top-up-setup-charges",
            "answer": "<p>1. To Call a customer via VoIP you need to click on the people tab and then green call icon......</p>"
        },
        {
            "article_id": [ARTICLE_ID],
            "question": "how chat shortcut works?",
            "slug": "setup-shortcut",
            "answer": "<p>Shortcuts are used during a chat to increase the productivity of agents by filling in the frequently used clauses and sentences...........</p>"
        }
    ]
}

```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.acquire.io/master/knowledge-base-apis/help-docs-setup/get-suggestion.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
